<div *ngIf="!flow_child.is_expand" class="row mb-1">
    <div class="col-sm-9 pr-0" style="margin-left: 0%;">
        <div class="card border-0 box-shadow-none border-radius-10 bg-transparent"
             style="margin-left: 3.7rem;margin-right: 0.3rem; background-color: transparent;">
            <div (click)="toggle_entity();"
                 class="CardList card-header collapsed-card-border d-flex pr-0 align-items-center card-shadow bg-white  border-radius-10 cursor">
                <div class="card-header-title dashboard-tile-title cursor custom-mouseover" style="font-size: 18px;">
                    <span class="mr-2"><i class="las la-angle-right f-20"></i></span><span
                        class="dashboard-tile-title fw-400">{{flow_child?.parent_group_name ? flow_child.parent_group_name : flow_child.title}}</span>
                </div>
                <div class="ml-auto btn-group btn-group-xs btn-group-toggle ng-untouched ng-pristine ng-valid mr-2">
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-3 pt-4">
        <!-- //right side title for some content  -->
        <p class="f-14"></p>
    </div>
</div>

<div *blockUI="blockUIName;  template: blockTemplate" class="custom-bg-block-ui"
     id="full_screen_{{viewFilterdata.length > 0 && is_fullscreen_view === true ? 'true' : 'false'}}">
    <div id="flow_container" [hidden]="!flow_child.is_expand"
         class="row mb-1 ml-0 mr-0 flow_container fullscreen_{{is_fullscreen_view}}"
         (scroll)="onScroll($event)"
         style="flex-wrap: unset;min-height:400px;padding-left: 3rem;;overflow-x: auto;overflow-y: hidden;padding-bottom: 20px;">
        <div [ngClass]="{'view_chart_opacity':view_type !== null}" *ngIf="!no_data_found"
             style="position: absolute; height:520px;background-image:linear-gradient(to right, rgba(246, 246, 246,1),rgba(246, 246, 246,0));left:0;width:70px;z-index: 1087;">
             <div>
                <app-hint [id]="'slide-card'" *ngIf="flow_index == 0 && scroll_position.active!='left'"></app-hint>
                <div *ngIf="scroll_position.active!='left'" (click)="scroll_flow('left')"
                    class="slideLeft">

                <!-- <i class="las la-angle-left" style="font-size: 20px;"></i> -->
                    <img src="../../../assets/imgs/LftArrow.svg">
                </div>
            </div>
        </div>
        <div [ngClass]="{'view_chart_opacity':view_type !== null}"
             style="position: absolute; height:520px;background-image: linear-gradient(to right, rgba(246, 246, 246,0),rgba(246, 246, 246,1));right:0;width:70px;z-index: 1087;">
            <div *ngIf="scroll_position.active=='left'" (click)="scroll_flow('center')"
                 class="slideRight">
                <!-- <i class="las la-angle-right" style="font-size: 20px;"></i> -->
                <img src="../../../assets/imgs/LftArrow.svg">
            </div>
        </div>
        <div *ngIf="view_type_chart !== 'hide' && !no_data_found" class="{{scroll_position.class}}"
             [ngClass]="{'view_chart_opacity':view_type === 'chart'}">
            <div class="card card-shadow flow-entity-popup border-radius-10" style="min-height: 487px;"
                 id="pivot_table">
                <div class="card-header with-elements pr-0 card-bb-color popupTable">
                    <!-- don't remove the popuptable css -->
                    <!-- if Only data visible -->
                    <div class="flow_title" *ngIf="view_type === 'grid'" (click)="toggle_entity();"
                         style="width: 84% !important;">
                        <div class="card-header-title dashboard-tile-title cursor ">
                            <span class="dashboard-tile-title fw-400" id="id_{{is_fullscreen_view}}">
                                <span class="mr-2">
                                    <i class="las la-angle-down f-20"></i>
                                </span>
                               <span *ngIf="!is_fullscreen_view"> {{scroll_position.class === 'col-sm-9' ? flow_child.title : 'Data'}}</span>
                           <span *ngIf="is_fullscreen_view"><span class="group_name" *ngIf="flow_group.childs.length > 1 && flow_child?.group_name != null">{{flow_child.group_name}} - </span>{{scroll_position.class === 'col-sm-9' ? flow_child.title : 'Data'}}</span>
                            </span>
                        </div>
                    </div>
                    <div *ngIf="view_type === null" style="width: 84% !important;"
                         (click)="toggle_entity()" class="flow_title">
                        <div class="card-header-title dashboard-tile-title cursor ">
                            <span class="dashboard-tile-title fw-400">
                                 <span class="mr-2">
                                    <i class="las la-angle-down f-20"></i>
                                </span>
                            <span *ngIf="!is_fullscreen_view">{{scroll_position.class === 'col-sm-9' ? flow_child.title : 'Data'}}</span>    
                        <span *ngIf="is_fullscreen_view"><span class="group_name" *ngIf="flow_group.childs.length > 1 && flow_child?.group_name != null">{{flow_child.group_name}} - </span>{{scroll_position.class === 'col-sm-9' ? flow_child.title : 'Data'}}</span>   
                        </span>
                        </div>
                    </div>

                    <div class="child_div ml-auto btn-group btn-group-xs btn-group-toggle align-items-center mr-2">
                        <div class="ml-1" *ngIf="flow_child.isPivot">
                            <button class="btn p-1" [disabled]="no_data_found"
                                    placement="bottom" container="body" ngbTooltip="Save"
                                    (click)="pivotSaveHandler()">
                                <i class="las la-save f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" *ngIf="flow_child.isPivot">
                            <button class="btn p-1" [disabled]="no_data_found" placement="bottom" container="body"
                                ngbTooltip="Auto Heatmap" (click)="openHeatmapConfirm(heatmap_confirm, autoHeatMap)">
                                <i class="fas fa-fill-drip custom-mouseover"></i></button>
                        </div>

                        <div class="ml-1" *ngIf="flow_child.isPivot">
                            <button class="btn p-1" [disabled]="no_data_found"
                                    placement="bottom" container="body" ngbTooltip="Add / Manage calculated fields"
                                    (click)="addCalculatedFieldDialog()">
                                <i class="las la-calculator f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" *ngIf="!is_fullscreen_view">
                            <button class="btn p-1" [disabled]="no_data_found" ngbTooltip="View data in full screen"
                                    placement="bottom" container="body"
                                    (click)="fullScreen('pivot_table')">
                                <i class="las la-expand f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" *ngIf="is_fullscreen_view">
                            <button class="btn p-1"
                                    ngbTooltip="Close" placement="bottom"
                                    (click)="fullScreen('pivot_table');">
                                <i class="ion-md-close f-20 custom-mouseover" style="line-height: 10px;"></i></button>
                        </div>
                    </div>
                </div>
                <div class="card-body p-0" [hidden]="no_data_found">
                    <div class="w-100 d-flex align-items-center" style="height: auto;overflow-x:auto;">
                        <div class="d-inline" *ngFor="let report_filter of custom_report_filters;">
                            <div class="ml-1 m-1 px-2 py-1 values-align row form-group group-label datePick1"
                                 style="float: left;">
                                <label class="label label-style pl-0 pb-1">{{report_filter.caption}}</label>
                                <span (click)="open_report_Filter(report_filter.uniqueName)"
                                      class="m-0 badge-title border-0 custom-badge-style"
                                      style="cursor:pointer;padding-left: 0 !important">
                                        <span class="badge" style="cursor:pointer;">Multiple Items</span>
                                    </span>
                            </div>
                        </div>

                        <div class="loader-container" *ngIf="view_filter_loader">
                            <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg"
                                 xmlns:xlink="http://www.w3.org/1999/xlink"
                                 style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                                 viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                                <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                                    <animate attributeName="cy" calcMode="spline"
                                             keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                             repeatCount="indefinite"
                                             values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1"
                                             dur="1s" begin="-0.6s">
                                    </animate>
                                </circle>
                                <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                                    <animate attributeName="cy" calcMode="spline"
                                             keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                             repeatCount="indefinite"
                                             values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1"
                                             dur="1s"
                                             begin="-0.44999999999999996s"></animate>
                                </circle>
                                <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                                    <animate attributeName="cy" calcMode="spline"
                                             keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                             repeatCount="indefinite"
                                             values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1"
                                             dur="1s" begin="-0.3s">
                                    </animate>
                                </circle>
                                <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                                    <animate attributeName="cy" calcMode="spline"
                                             keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                             repeatCount="indefinite"
                                             values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1"
                                             dur="1s" begin="-0.15s">
                                    </animate>
                                </circle>
                            </svg>
                        </div>
                        <div class="d-inline" *ngFor="let option of viewFilterdata">
                            <div class="ml-1 px-2 mr-1 py-1 values-align row form-group group-label datePick1 my-1 cursor-pointer"
                                 *ngIf="!option.datefield" (click)="openFilterAppliedModal(option, filterModal,
                                      { windowClass: 'modal-fill-in modal-md animate' })">
                                <label class="label label-style pl-0 pb-1 cursor-pointer">{{option.name}}</label>
                                <span class="m-0 badge-title border-0 custom-badge-style"
                                      style="cursor:pointer;padding-left: 0 !important">
                                        <span class="badge" style="cursor:pointer;">{{option.display_value}}</span>
                                    </span>
                                <ng-template #filterModal let-c="close" let-d="dismiss">
                                    <div class="modal-header">
                                        <h5 class="modal-title">
                                            {{option.name}}
                                        </h5>
                                    </div>
                                    <div class="modal-body filter-popup-div p-0">
                                        <div class="loader-container" *ngIf="filterLoader" style="padding-top:40%;">
                                            <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg"
                                                 xmlns:xlink="http://www.w3.org/1999/xlink"
                                                 style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                                                 viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                                                <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                                                    <animate attributeName="cy" calcMode="spline"
                                                             keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                                             repeatCount="indefinite"
                                                             values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1"
                                                             dur="1s" begin="-0.6s">
                                                    </animate>
                                                </circle>
                                                <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                                                    <animate attributeName="cy" calcMode="spline"
                                                             keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                                             repeatCount="indefinite"
                                                             values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1"
                                                             dur="1s"
                                                             begin="-0.44999999999999996s"></animate>
                                                </circle>
                                                <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                                                    <animate attributeName="cy" calcMode="spline"
                                                             keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                                             repeatCount="indefinite"
                                                             values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1"
                                                             dur="1s" begin="-0.3s">
                                                    </animate>
                                                </circle>
                                                <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                                                    <animate attributeName="cy" calcMode="spline"
                                                             keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                                             repeatCount="indefinite"
                                                             values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1"
                                                             dur="1s" begin="-0.15s">
                                                    </animate>
                                                </circle>
                                            </svg>
                                        </div>
                                        <div *ngIf="!option.datefield" class="p-3">
                                            <div>
                                                <input class="form-control user-input-material custom-text-color"
                                                       type='text'
                                                       placeholder='Search'
                                                       (keyup)='searchFilterValues($event.target.value.toLowerCase())'
                                                       [(ngModel)]="filterSearchText">
                                                <li class="list-group-item" style="border:none;">
                                                    <label class="custom-control custom-checkbox mt-2">
                                                        <input class="custom-control-input" type="checkbox"
                                                               (change)="selectAll(option)"
                                                               [(ngModel)]="isSelectAll">
                                                        <span class="custom-control-label">Select
                                                                All</span>
                                                    </label>
                                                </li>
                                            </div>
                                            <div class="filter-list" appInfinitescroll
                                                 (scrolled)="updateScrollPos($event, option)">
                                                <ul class="list-group material m-0">
                                                    <li class="list-group-item"
                                                        *ngFor="let value of filterArray; let i=index;">
                                                        <label class="custom-control custom-checkbox">
                                                            <input class="custom-control-input" type="checkbox"
                                                                   (change)="changeSelectedStatus($event,i)"
                                                                   [checked]="value.selected">
                                                            <span class="custom-control-label">{{value.value}}</span>
                                                        </label>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>

                                    </div>
                                    <div class="modal-footer">
                                        <div class="app-filter-btn">
                                            <button type="button" class="btn btn-default device-btn"
                                                    (click)="d('Cross click')">Cancel
                                            </button>
                                            <button type="button" class="btn btn-primary device-btn"
                                                    (click)="d('Cross click'); applyFilter(option)">Apply
                                            </button>
                                        </div>
                                    </div>
                                </ng-template>
                            </div>
                        </div>
                    </div>

                    <div id="{{check_pivot_table_size}}_grid" *ngIf="flow_child?.default_display !== 'bullet_chart'"
                         [ngClass]="(viewFilterdata.length >0  || custom_report_filters.length>0) ? 'e-height': 'n-height'">
                        <fm-pivot #flowpivotcontainer [width]="'100%'"
                                  [ngClass]="is_fullscreen_view ?'pivot_filter_fullscreen':'pivot_filter '"
                                  [toolbar]="true"
                                  [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'"
                                  (beforetoolbarcreated)="customTableToolbar($event)"
                                  (update)="onReportChange($event)"
                                  (dataerror)="isDataError($event)"
                                  (dataloaded)="isDataLoaded($event)"
                                  [customizeContextMenu]="customizeFlexmonsterContextMenu.bind(this)"
                                  [customizeCell]="customizeCellFunction.bind(this)">
                        </fm-pivot>
                    </div>
                    <!-- table bullet chart-->
                    <div class="bentable-scroll" *ngIf="flow_child?.default_display === 'bullet_chart'">
                        <table class="table table-bordered thead-light">
                            <thead>
                            <tr class="first-bg">
                                <th rowspan="2" class="tb-header sticky text-center"
                                    style="background:#f2f2f2;padding-top:8px">
                                    Metrics
                                </th>
                                <th colspan="4" scope="colgroup" class="tb-header text-center">Value</th>
                                <th colspan="2" scope="colgroup" class="tb-header text-center">YOY Growth</th>
                                <th colspan="2" scope="colgroup" class="tb-header text-center">Rank</th>
                            </tr>
                            <tr class="second-bg">
                                <th scope="col" class="tb-header">Analysis Store</th>
                                <th scope="col" class="tb-header">Benchmark Store</th>
                                <th scope="col" class="tb-header">Minimum across stores</th>

                                <th scope="col" class="tb-header">Maximum across stores</th>

                                <th scope="col" class="tb-header">Analysis Store</th>
                                <th scope="col" class="tb-header">Benchmark Store</th>

                                <th scope="col" class="tb-header">Analysis Store</th>
                                <th scope="col" class="tb-header">Benchmark Store</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr *ngFor="let f of bullet_chart_arr" class="tbody-content">
                                <th scope="row" class="th-header sticky">{{f.dimension}}</th>
                                <td class="td-innercontent">{{f.currency_sym}}{{f.test | number}}</td>
                                <td class="td-innercontent">{{f.currency_sym}}{{f.benchmark | number}}</td>
                                <td class="td-innercontent">{{f.currency_sym}}{{f.min | number}}</td>
                                <td class="td-innercontent">{{f.currency_sym}}{{f.max | number}}</td>

                                <td class="td-innercontent">{{f.g_test | number}}%</td>
                                <td class="td-innercontent">{{f.g_benchmark | number}}%</td>

                                <td class="td-innercontent">{{f.rank_query_store}}</td>
                                <td class="td-innercontent">{{f.rank_bm_store}}</td>

                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <!-- table for line chart -->
                </div>
                <!-- If no data found -->
                <div *ngIf="no_data_found === true" class="text-center">
                    <!--  <span class="f-18 text-gray77">No data found</span>-->
                    <flow-error></flow-error>
                </div>
            </div>
        </div>
        <div class="col-sm-9" *ngIf="view_type === null || view_type === 'chart'">
            <div class="card card-shadow border-radius-10" style="min-height:487px;"
                 id="chart">
                <div class="card-header with-elements pr-0 align-items-center card-bb-color">
                    <div (click)="toggle_entity();"
                         class="card-header-title dashboard-tile-title cursor custom-mouseover flow_title">
                        <span class="mr-2"><i
                                class="las la-angle-down f-20"></i></span>
                                <span *ngIf="!is_fullscreen_view"
                            class="dashboard-tile-title fw-400">{{flow_child.title}}</span>
                            <span *ngIf="is_fullscreen_view"
                            class="dashboard-tile-title fw-400 "><span class="group_name"  *ngIf="flow_group.childs.length > 1 && flow_child?.group_name != null">{{flow_child.group_name}} - </span>{{flow_child.title}}</span>
                        <!-- <span class="ml-2 v-middle"><i  class="las  la-question-circle f-20"></i></span> -->
                    </div>
                    <!-- Don't remove child div -->
                    <div class="child_div ml-auto btn-group btn-group-xs btn-group-toggle ng-untouched ng-pristine ng-valid mr-2">
                        <div class="ml-1" *ngIf="!is_fullscreen_view">
                            <button class="btn p-1" [disabled]="no_data_found"
                                    ngbTooltip="View visualization in full screen" placement="bottom" container="body"
                                    (click)="fullScreen('chart');"
                                    [ngClass]="fullScreen == 'chartType' ? 'icon-active' : ''">
                                <i class="las la-expand f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" *ngIf="is_fullscreen_view">
                            <button class="btn p-1 pt-0 pt-0"
                                    ngbTooltip="Close" placement="bottom"
                                    (click)="fullScreen('chart');">
                                <i class="ion-md-close f-20 custom-mouseover"></i></button>
                        </div>
                    </div>
                </div>

                <div class="card-body pb-0 px-0" style="padding-top: 10px !important;">
                    <!-- display_in_same_row false -->
                    <div class="d-flex" *ngIf="!no_data_found && flow_child?.default_display !== 'bullet_chart'"
                         id="{{flowchart_id+'_card'}}">
                        <div id="{{flowchart_id}}" class="col-sm-12 hc_div p-0"
                             [ngClass]="{'default-chart-color': flow_child.color_change === 0}"
                             style="border-bottom-left-radius: 9px;min-height:400px">
                        </div>
                        <div *ngIf="selected_chart_type=='map' && map_data.length>1"
                             class="col-md-2 flow_cardbody hx-pro-px-_2" [perfectScrollbar]
                             (psYReachStart)="scroll_config.scroll_start=true;">
                            <div style="height:75px"></div>
                        </div>
                        <div *ngIf="scroll_config.scroll_start" [ngClass]="is_fullscreen_view ?'d-none':''"
                             style="position: absolute;bottom: 0px;height: 75px;right: 20px;width: 15%;background: linear-gradient(#ffffff00,#ffffff);">
                            <div style="position: absolute;bottom: 0;opacity: 0.6;"
                                 class="text-center align-items-center w-100"><i
                                    class="ion ion-ios-arrow-down f-16"></i>
                            </div>
                        </div>
                    </div>


                    <div class="bullet_chart bulletchart_fullscreen"
                         style="display: flex;flex-wrap: wrap;flex-direction: row;"
                         id="{{flowchart_id+'_card'}}"
                         [ngStyle]="{padding: is_fullscreen_view === true? '20px 0 0 0': ''}"
                         *ngIf="flow_child?.default_display === 'bullet_chart'">
                        <!-- <div style="display: flex;flex-direction: row;overflow: auto;max-width: 100%;margin: 0 auto;">
                            <div *ngFor="let p of bullet_chart_arr;index as i"
                                 [ngClass]="(i === 1)||(i === 3)?'bm_chart':''"
                                 [ngStyle]="{margin: i === 0 ? '0px 0px 0 0': '0px 0px 0 3%'}"
                                 style="width: 155px;padding-right: 1%;">
                                <div id="bullet_chart_{{i}}" class="hc_div p-0"
                                     style="border-bottom-left-radius: 9px;">
                                </div>
                                <div></div>
                                <div class="benchmark-title">{{p.dimension}}</div>
                            </div>


                        </div> -->
                        <div class="bullet_chart_child"
                             [ngStyle]="{margin:  is_fullscreen_view === true ? '15px 3% 0 3%': '15px 15px 0 15px'}"
                             style="display: flex;flex-direction: row;overflow: auto;width:100%;max-width: 100%;">
                            <div *ngFor="let p of bullet_chart_arr;index as i" class="bullet_width"
                                 [ngStyle]="{margin: (i === 1 || i == 3) ? '0px 2% 0 0%': (i === 2 || i == 4) ? '0px 0px 0 2%': '0 0 0 0'}">
                                <div style="position: relative">
                                    <div [style.height]="is_fullscreen_view ? (is_full_screen_height + 20 + 'px') : '340px'"
                                         *ngIf="i== 1 || i== 3" class="bullet_bor_right" style="position: absolute;
                                                        top: 0;
                                                        right: -13%;
                                                        width: 1px;
                                                        border: 1px solid #ccc;
                                                        background: #ccc;
                                                        z-index: 1;"></div>
                                </div>

                                <div id="bullet_chart_{{i}}" class="hc_div p-0"
                                     style="border-bottom-left-radius: 9px;">
                                </div>
                                <div style="position: relative">
                                    <div *ngIf="i==0" style="top: -33px;position: absolute;color: #555555;font-weight: normal;
                                    font-size: 11px;
                                    font-family: worksans !important;" class="zero_val">0
                                    </div>
                                    <div [ngStyle]="{width: i === 5 ? '100%': '150%', left: i==0 ? '14px': ''}"
                                         style="border-top: 1px solid #999999;top: -26px;position: absolute;"></div>
                                </div>
                                <div class="benchmark-title">{{p.dimension}}</div>
                            </div>


                        </div>

                        <!-- legends -->
                        <div class="col-md-12 py-2" *ngIf="!no_data_found">
                            <div class="d-flex  justify-content-center">
                                <div class="cursor d-flex mr-4">
                                    <div class="circle align-self-center"
                                         [style.backgroundColor]="'#555555'"></div>
                                    <div class="name dashboard-tile-title align-items-center f-16 text-gray55 fw-500">
                                        Analysis Store (A)
                                    </div>
                                </div>
                                <div class="cursor d-flex mr-4" (click)="legend_change_fun('b_store')">
                                    <div class="circle align-self-center"
                                         [style.backgroundColor]="legend_bench_active === true ? '#6AB187': 'rgba(106, 177, 135, 0.5)'"></div>
                                    <div [ngStyle]="{opacity: legend_bench_active === true ? 1 : 0.5, cursor: 'pointer'}"
                                         class="name dashboard-tile-title align-items-center f-16 text-gray55 fw-500">
                                        Benchmark Store (B)
                                    </div>
                                </div>
                                <div class="cursor d-flex mr-4" (click)="legend_change_fun('m_range')">
                                    <div class="circle align-self-center"
                                         [style.backgroundColor]="legend_min_max_active === true ?'#FFD27F': 'rgb(255, 210, 127,0.5)'"></div>
                                    <div [ngStyle]="{opacity: legend_min_max_active === true ?1 : 0.5, cursor: 'pointer'}"
                                         class="name dashboard-tile-title align-items-center f-16 text-gray55 fw-500">
                                        Min-Max Range
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- If no data found -->
                    <div *ngIf="no_data_found === true" class="text-center">
                        <flow-error></flow-error>
                    </div>
                </div>
            </div>
            <!--start  help info -->
            <div class="d-flex slideDiv" [@slideInOut]="animationState" style="background-color: #E9E9E9 !important;">
            </div>
            <!-- End help info     -->
        </div>
        <div class="col-sm-3">
            <app-hint [id]="'summary'"></app-hint>
            <ngb-tabset class="nav-tabs-top flowtab">
                <ngb-tab *ngFor="let tab of flow_child?.tabs">
                    <ng-template ngbTabTitle>
                        <span class="tab-title text-capitalize">{{tab.name}}</span>
                    </ng-template>
                    <ng-template ngbTabContent>
                        <div class="card-body pl-0 flow_cardbody" [perfectScrollbar]>
                            <div class="f-14" [innerHTML]='tab.description | safeHtml'></div>
                        </div>
                    </ng-template>
                </ngb-tab>
            </ngb-tabset>
            <!-- <div style="min-height: 487px;" *ngIf="!flow_child.edit_content"></div> -->
        </div>
    </div>
    <div class="row switching-tab-mt" *ngIf="flow_child.is_expand">
        <div class="col-sm-9 ml-5">
            <!-- start switch icons -->
            <div class="mx-auto text-center switch-tab-height">
                  <span class="ml-1" *ngIf="view_type !== 'chart'">
                        <button class="btn p-1" (click)="scroll_flow('left')">
                            <app-hint [id]="'data-view'" *ngIf="flow_index == 0" (click)="$event.stopPropagation()"></app-hint>
                          <div>
                            <i class="fas fa-circle f-5 border-100"
                               [ngClass]="view_type === 'grid' || scroll_position.active=='left'?'blue-dot':'gray-dot'">
                          </i>
                          </div>
                            <div>
                                <i class="las la-table f-20"
                                   [ngClass]="view_type === 'grid' || scroll_position.active=='left'?'':'gray-text'"
                                   ngbTooltip="Data View" placement="bottom" container="body"></i>
                            </div>
                        </button>
                    </span>
                <span class="ml-1" *ngIf="view_type !== 'grid'">
                        <button class="btn p-1" (click)="scroll_flow('center')">
                            <div>
                                <i class="fas fa-circle f-5 border-100 blue-dot">
                                </i>
                            </div>
                           <div> <i class="las la-chart-bar f-20" ngbTooltip="Visualization" placement="bottom"
                                    container="body"></i></div>
                        </button>
                    </span>
                <span class="ml-1" *ngIf="flow_child?.tabs?.length > 0">
                        <button class="btn p-1" (click)="scroll_flow('right')">
                           <div>
                            <i class="fas fa-circle f-5 border-100"
                               [ngClass]="view_type === 'chart' || view_type === 'grid' || scroll_position.active=='right' || scroll_position.active=='center' ? 'blue-dot':'gray-dot'">
                           </i>
                           </div>
                        <div>
                            <i class="las la-lightbulb f-20" ngbTooltip="Insights" placement="bottom" container="body"
                               [ngClass]="view_type === 'chart' || view_type === 'grid' || scroll_position.active=='right' || scroll_position.active=='center' ?'':'gray-text'"></i>

                        </div>
                        </button>
                </span>
            </div>
            <!-- end switch icons -->
        </div>
        <div class="col-md-3"></div>
    </div>
</div>

<!-- end edit model -->
<ng-template #blockTemplate let-class="block_{{is_fullscreen_view}}">
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s">
                        </animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                </svg>
                <span class="loading-text-material">
                </span>
            </div>
        </div>
    </div>
</ng-template>
<!-- start auto heat map model -->
<ng-template #autoHeatMap let-c="close" let-d="dismiss">
    <heatmap [heatmap_config]="grid_config.heatmap" (heatmap_event)="heatmap_callback($event)"></heatmap>
</ng-template>
<!-- End auto heat map model -->

<!-- start heatmap_confirm -->
<ng-template #heatmap_confirm let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h2 class="modal-title confirm-dialog"><i class="fa fa-exclamation-circle" aria-hidden="true"></i>
            <span class="font-weight-light">Confirmation</span>
        </h2>
        <button type="button" class="close" (click)="d('Cross click')">&times;</button>
    </div>
    <div class="modal-body">
        <div class="row no-gutters">
            <div class="col-md-12 text-center ">
                <label class="f-14 mb-0">You already have existing conditional formatting defined. Turning on Auto
                    Heatmap</label>
                <label class="f-14 "> will override existing definitions. Would you like to proceed?</label>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="c('Close click');">No</button>
        <button type="button" class="btn btn-primary btn-material" (click)="openHeatmapDialog(autoHeatMap)">Yes</button>
    </div>
</ng-template>
<!-- start conditional_confirm -->
<ng-template #conditional_confirm let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h2 class="modal-title confirm-dialog"><i class="fa fa-exclamation-circle" aria-hidden="true"></i>
            <span class="font-weight-light">Confirmation</span>
        </h2>
        <button type="button" class="close" (click)="d('Cross click')">&times;</button>
    </div>
    <div class="modal-body">
        <div class="row no-gutters">
            <div class="col-md-12 text-center ">
                <label class="f-14 mb-0">You already have Auto Heatmap enabled. Turning on conditional
                    formatting</label>
                <label class="f-14 "> will override existing definitions. Would you like to proceed?</label>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="c('Close click');">No</button>
        <button type="button" class="btn btn-primary btn-material" (click)="openConditionalFormattingDialog();">Yes
        </button>
    </div>
</ng-template>
<!-- End conditional_confirm -->
